      program level2
      double precision x(4),y(3),a(4,3)
      double precision alpha, beta
      integer inx,m,n,lda,jind,iny
      integer i,j
      character*1 trans
      external         DGEMV
      alpha=1.0
      beta=2.0
      inx=1
      iny=1
      trans='N'
      jind=5
      n=3
      m=2
      lda=4
c      alpha*a*x + beta*y  for trans='N'
      y(1)=3
      y(2)=4
      do j=1,n
         x(j)=j
      end do
      Do i=1,m
         do j=1,n
            a(i,j)=jind
            jind=jind+1
          end do
 
      end do   
      print*, ((a(i,j),j=1,n),i=1,m)

      print*, (x(i),i=1,n)
      print*, (y(i),i=1,m)
      call dgemv(trans,m,n,alpha,a,lda,x,inx,beta,y,inx)

      print*, (y(i), i = 1, m)

      end
         
         

           

      
